commit: 002382d72ade36880aab165f52d0196653a73b01
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 17:56:22 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 17:58:59 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=002382d7
media-gfx/icoutils: EAPI-7 bump, add missing || die
Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-gfx/icoutils/icoutils-0.32.3.ebuild | 19 +++++++++----------
1 file changed, 9 insertions(+), 10 deletions(-)
diff --git a/media-gfx/icoutils/icoutils-0.32.3.ebuild
b/media-gfx/icoutils/icoutils-0.32.3.ebuild
index eb74cde3dc6..c4b7e5ddf98 100644
--- a/media-gfx/icoutils/icoutils-0.32.3.ebuild
+++ b/media-gfx/icoutils/icoutils-0.32.3.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
+EAPI=7
+
inherit autotools flag-o-matic
DESCRIPTION="Tools to extract and convert images in icon and cursor files
(.ico, .cur)"
@@ -13,6 +14,9 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="nls"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+"
RDEPEND="
>=dev-lang/perl-5.6
>=dev-perl/libwww-perl-5.64
@@ -20,21 +24,16 @@ RDEPEND="
sys-libs/zlib
nls? ( virtual/libintl )
"
-DEPEND="
- ${RDEPEND}
- nls? ( sys-devel/gettext )
-"
+DEPEND="${RDEPEND}"
DOCS=( AUTHORS ChangeLog NEWS README TODO )
-PATCHES=(
- "${FILESDIR}"/${PN}-0.29.1-{locale,gettext}.patch
-)
+PATCHES=( "${FILESDIR}"/${PN}-0.29.1-{locale,gettext}.patch )
src_prepare() {
default
rm m4/po.m4* || die
- cp /usr/share/aclocal/po.m4 m4/
+ cp /usr/share/aclocal/po.m4 m4/ || die
AT_M4DIR=m4 eautoreconf
}